package de.hdm_stuttgart.mi.bb;

import org.glassfish.jersey.client.ClientConfig;
import org.glassfish.jersey.jackson.JacksonFeature;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.Invocation;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import java.util.List;
import java.util.Map;

/**
 * Reading user flags
 *
 */
public class ReadTopics {
    public static void main( String[] args ) {

        final ClientConfig cc = new ClientConfig().register(new JacksonFeature());

        final Client client = ClientBuilder.newClient( cc);
        final WebTarget webTarget = client.target("https://bb.mi.hdm-stuttgart.de/api").
            path("category/5/software-development-1-113105");

        Invocation.Builder invocationBuilder =  webTarget.request(MediaType.APPLICATION_JSON_TYPE);
        final Response response = invocationBuilder.get();

        final Map<String, Object> ret = response.readEntity(Map.class);


        final List<Map> topics = (List)ret.get("topics");
        for (final Map<String, Object> topic: topics) {
            for (final Map.Entry<String, Object> keyValue: topic.entrySet()) {
                //System.out.println(keyValue );
            }
            System.out.println(topic.get("tid"));
            //System.out.println("\n--------------------");
        }

//        for (final Map.Entry entry: ret.entrySet()) {
//            System.out.println(entry);
//        }

    }
}